Package: org.apache.groovy.contracts.ast.visitor

## [Java] Class DynamicSetterInjectionVisitor

- org.apache.groovy.contracts.ast.visitor.DynamicSetterInjectionVisitor

-     public class DynamicSetterInjectionVisitor
      extends BaseVisitor

  Implements contract support for setter methods and default constructors of POGOs.

  See Also:
    BaseVisitor

- - Inherited fields
    Fields inherited from class | Fields
    --- | ---
    `class BaseVisitor` | `GCONTRACTS_ENABLED_VAR, sourceUnit`

  - ### Constructor Summary

    Constructors
    Constructor and description
    `DynamicSetterInjectionVisitor(SourceUnit sourceUnit, ReaderSource source)`

  - ### Methods Summary

    Methods
    Type Params | Return Type | Name and description
    --- | --- | ---
    `` | `protected Statement` | `createSetterBlock(ClassNode classNode, FieldNode field, Parameter parameter)`
    `` | `public void` | `visitClass(ClassNode classNode)`
    `` | `public void` | `visitProperty(PropertyNode node)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class BaseVisitor` | `asConditionExecution, getOriginalCondition, getReplacedCondition, getSourceUnit, replaceCondition`
    `class ClassCodeVisitorSupport` | `addError, getSourceUnit, visitAnnotation, visitAnnotations, visitAnnotations, visitAssertStatement, visitBlockStatement, visitBreakStatement, visitCaseStatement, visitCatchStatement, visitClass, visitClassCodeContainer, visitClosureExpression, visitConstructor, visitConstructorOrMethod, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitExpressionStatement, visitField, visitForLoop, visitIfElse, visitImports, visitMethod, visitObjectInitializerStatements, visitPackage, visitProperty, visitReturnStatement, visitStatement, visitSwitch, visitSynchronizedStatement, visitThrowStatement, visitTryCatchFinally, visitWhileLoop`
    `class CodeVisitorSupport` | `afterSwitchCaseStatementsVisited, afterSwitchConditionExpressionVisited, visitArgumentlistExpression, visitArrayExpression, visitAssertStatement, visitAttributeExpression, visitBinaryExpression, visitBitwiseNegationExpression, visitBlockStatement, visitBooleanExpression, visitBreakStatement, visitBytecodeExpression, visitCaseStatement, visitCastExpression, visitCatchStatement, visitClassExpression, visitClosureExpression, visitClosureListExpression, visitConstantExpression, visitConstructorCallExpression, visitContinueStatement, visitDeclarationExpression, visitDoWhileLoop, visitEmptyStatement, visitExpressionStatement, visitFieldExpression, visitForLoop, visitGStringExpression, visitIfElse, visitLambdaExpression, visitListExpression, visitMapEntryExpression, visitMapExpression, visitMethodCallExpression, visitMethodPointerExpression, visitMethodReferenceExpression, visitNotExpression, visitPostfixExpression, visitPrefixExpression, visitPropertyExpression, visitRangeExpression, visitReturnStatement, visitShortTernaryExpression, visitSpreadExpression, visitSpreadMapExpression, visitStaticMethodCallExpression, visitSwitch, visitSynchronizedStatement, visitTernaryExpression, visitThrowStatement, visitTryCatchFinally, visitTupleExpression, visitUnaryMinusExpression, visitUnaryPlusExpression, visitVariableExpression, visitWhileLoop`

- - ### Constructor Detail

    - #### public DynamicSetterInjectionVisitor(SourceUnit sourceUnit, ReaderSource source)

  - ### Method Detail

    - #### protected Statement createSetterBlock(ClassNode classNode, FieldNode field, Parameter parameter)

    - #### @Override
      public void visitClass(ClassNode classNode)

    - #### @Override
      public void visitProperty(PropertyNode node)